# La classe SensitiveParameterValue

(PHP 8 >= 8.2.0)

## Introduction

La classe SensitiveParameterValue permet d'envelopper des valeurs pour les protéger contre une exposition accidentelle.

Les valeurs des paramètres ayant l'attribut SensitiveParameter seront automatiquement enveloppées dans un objet SensitiveParameterValue dans les traces de pile.

## Synopsis de la classe

final class SensitiveParameterValue {
/* Propriétés */
private readonly mixed $value;
/* Méthodes */
public __construct(mixed `$value`)
public __debugInfo(): array
public getValue(): mixed
}

## Propriétés

value

  Valeur sensible à protéger contre une exposition accidentelle.

## Sommaire

- SensitiveParameterValue::__construct — Construit un nouvel objet SensitiveParameterValue
- SensitiveParameterValue::__debugInfo — Protège la valeur sensible contre une exposition accidentelle
- SensitiveParameterValue::getValue — Retourne la valeur sensible